[PATCH] nvptx: fix wrapping in an error message.

Martin Liška mliska@suse.cz
Tue Mar 22 12:53:52 GMT 2022


Pushed to master as obvious.

Martin

	PR target/104902

gcc/ChangeLog:

	* config/nvptx/nvptx.cc (handle_ptx_version_option):
	Fix option wrapping in an error message.
---
  gcc/config/nvptx/nvptx.cc | 4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gcc/config/nvptx/nvptx.cc b/gcc/config/nvptx/nvptx.cc
index 3a7be63c290..f83f98c3ab5 100644
--- a/gcc/config/nvptx/nvptx.cc
+++ b/gcc/config/nvptx/nvptx.cc
@@ -300,8 +300,8 @@ handle_ptx_version_option (void)
      = first_ptx_version_supporting_sm ((enum ptx_isa) ptx_isa_option);
  
    if (ptx_version_option < first)
-    error ("PTX version (-mptx) needs to be at least %s to support selected"
-	   " -misa (sm_%s)", ptx_version_to_string (first),
+    error ("PTX version (%<-mptx%>) needs to be at least %s to support selected"
+	   " %<-misa%> (sm_%s)", ptx_version_to_string (first),
  	   sm_version_to_string ((enum ptx_isa)ptx_isa_option));
  }
  
-- 
2.35.1



More information about the Gcc-patches mailing list